Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Redteams

Create a redteam run

POST /redTeams/runs:run

Submits a new redteam run for execution with the provided configuration.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

RedTeams=V1Preview

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Redteam to be run

Content-Type: application/json
id string required

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel required

Abstract class for target configuration.

One of the following:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum required
AzureOpenAIModel
modelDeploymentName string required

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Responses

The request has succeeded and a new resource has been created as a result.

Body

Content-Type: application/json
id string required

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel required

Abstract class for target configuration.

One of the following:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum required
AzureOpenAIModel
modelDeploymentName string required

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /redTeams/runs:run HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026